Table of Contents

Class: CodeMetricsDialog | eric3/UI/CodeMetricsDialog.py
--- | ---

Class implementing a dialog to display the code metrics.

Base Classes |
--- | ---
CodeMetricsForm

Methods |
--- | ---
__init__ buttonPressed finish start
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| finish

    finish ( self )

Private slot called when the action finished or the user pressed the button.

| start

    start ( self,  fn )

### Public slot to start the code metrics determination.

#### Arguments

fn
  file or list of files or directory to be show the code metrics for (string or list of strings)

Table of Contents

This document was automatically generated by HappyDoc version 2.1